View Issue Details

IDProjectCategoryView StatusLast Update
0002703Ham Radio DeluxeMaintenancepublic2018-05-13 15:26
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.840 
Summary0002703: Cleanup: Should mark each executable with a checksum
Description  
The Windows PE header has space for a checksum. It's valuable when matching PDB symbol files to executable files. Our builds do not set the checksum, so symbol files are only loosely coupled to the EXE. Loading any image in the debugger results in this warning:

*** WARNING: Unable to verify checksum for HRDRotator.exe


which would be eliminated with a fix. The product is debuggable, but there's always the uncertainty that the EXE was modified on the customer's machine, or dosen't perfectly match the PDBs that are in use.

Steps To Reproduce1) Grab any minidump
2) loading Windbg
3) Observe the "unable to verify checksum" message for the loaded module
TagsNo tags attached.
ModuleAll
Sub-Module(select)
Testing N/A

Relationships

Activities

Issue History

Date Modified Username Field Change
2018-05-04 16:26 K7ZCZ New Issue
2018-05-06 17:24 K7ZCZ Assigned To => K7ZCZ
2018-05-06 17:24 K7ZCZ Status new => resolved
2018-05-06 17:24 K7ZCZ Resolution open => fixed
2018-05-06 17:24 K7ZCZ Note Added: 0004970
2018-05-09 23:28 K7ZCZ Fixed in Version => 6.4.0.839
2018-05-12 01:16 WA9PIE Status resolved => closed
2018-05-12 01:16 WA9PIE Steps to Reproduce Updated View Revisions
2018-05-12 01:16 WA9PIE Testing Not Started => N/A
2018-05-13 15:25 WA9PIE Fixed in Version 6.4.0.839 => 6.4.0.840
2018-05-13 15:26 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe